[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'libtar' (#fcl)

# TTarWriter.Finalize

Finalize the archive

## Declaration

Source position: libtar.pp line 205

`public procedure TTarWriter.Finalize;`

## Description

Finalize writes the end-of-archive marker to the archive. No more entries can be added after Finalize was called.

If the TTarWriter instance is destroyed, it will automatically call finalize if finalize was not yet called.

## See also

TTarWriter.Destroy |  | Close archive and clean up TTarWriter

The latest version of this document can be found at lazarus-ccr.sourceforge.net .